@import "./common/var.scss";
@import "./mixins/mixins.scss";


.el-col {
	& .display-flex-flex {
		display: flex;
	}
	
	& .display-flex-wrap {
		flex-wrap: wrap;
	}
	
	& .display-flex-textRight {
		justify-content: flex-end;
	}
	
	& .display-flex-alignItems-center {
		align-items: center;
	}
}

[class*="el-col-"] {
	float: left;
	box-sizing: border-box;
}

.el-col-0 {
	display: none;
}

@for $i from 0 through 24 {
	.el-col-#{$i} {
		@if ($i == 24) {
			width: 100%;
		} @else {
			width: calc((1 / 24 * #{$i} * 100) * 1% - 20px);
		}
	}
	
	.el-col-offset-#{$i} {
		margin-left: (1 / 24 * $i * 100) * 1%;
	}
	
	.el-col-pull-#{$i} {
		position: relative;
		right: (1 / 24 * $i * 100) * 1%;
	}
	
	.el-col-push-#{$i} {
		position: relative;
		left: (1 / 24 * $i * 100) * 1%;
	}
}

@include res(xs) {
	.el-col-xs-0 {
		display: none;
	}
	@for $i from 0 through 24 {
		.el-col-xs-#{$i} {
			@if ($i == 24) {
				width: 100%;
			} @else {
				width: calc((1 / 24 * #{$i} * 100) * 1% - 20px);
			}
		}
		
		.el-col-xs-offset-#{$i} {
			margin-left: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-xs-pull-#{$i} {
			position: relative;
			right: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-xs-push-#{$i} {
			position: relative;
			left: (1 / 24 * $i * 100) * 1%;
		}
	}
}

@include res(sm) {
	.el-col-sm-0 {
		display: none;
	}
	@for $i from 0 through 24 {
		.el-col-sm-#{$i} {
			@if ($i == 24) {
				width: 100%;
			} @else {
				width: calc((1 / 24 * #{$i} * 100) * 1% - 20px);
			}
		}
		
		.el-col-sm-offset-#{$i} {
			margin-left: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-sm-pull-#{$i} {
			position: relative;
			right: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-sm-push-#{$i} {
			position: relative;
			left: (1 / 24 * $i * 100) * 1%;
		}
	}
}

@include res(md) {
	.el-col-md-0 {
		display: none;
	}
	@for $i from 0 through 24 {
		.el-col-md-#{$i} {
			@if ($i == 24) {
				width: 100%;
			} @else {
				width: calc((1 / 24 * #{$i} * 100) * 1% - 20px);
			}
		}
		
		.el-col-md-offset-#{$i} {
			margin-left: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-md-pull-#{$i} {
			position: relative;
			right: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-md-push-#{$i} {
			position: relative;
			left: (1 / 24 * $i * 100) * 1%;
		}
	}
}

@include res(lg) {
	.el-col-lg-0 {
		display: none;
	}
	@for $i from 0 through 24 {
		.el-col-lg-#{$i} {
			@if ($i == 24) {
				width: 100%;
			} @else {
				width: calc((1 / 24 * #{$i} * 100) * 1% - 20px);
			}
		}
		
		.el-col-lg-offset-#{$i} {
			margin-left: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-lg-pull-#{$i} {
			position: relative;
			right: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-lg-push-#{$i} {
			position: relative;
			left: (1 / 24 * $i * 100) * 1%;
		}
	}
}

@include res(xl) {
	.el-col-xl-0 {
		display: none;
	}
	@for $i from 0 through 24 {
		.el-col-xl-#{$i} {
			@if ($i == 24) {
				width: 100%;
			} @else {
				width: calc((1 / 24 * #{$i} * 100) * 1% - 20px);
			}
		}
		
		.el-col-xl-offset-#{$i} {
			margin-left: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-xl-pull-#{$i} {
			position: relative;
			right: (1 / 24 * $i * 100) * 1%;
		}
		
		.el-col-xl-push-#{$i} {
			position: relative;
			left: (1 / 24 * $i * 100) * 1%;
		}
	}
}
